Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Task Management

Get
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}
https://api.uat.relesystest.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}
Get the task with ID taskId in a module with ID moduleId.

All types of tasks can be queried with this endpoint: standalone tasks, recurrence containers as well as individual tasks in a recurring series.
These types can be differentiated by the following properties:
  • Recurrence container - has recurrence property
  • Recurrence task - has parentIssueToken property
  • Standalone task - does not have recurrence or parentIssueToken properties
recurrence is based on iCalendar RFC 5545 standard and defines how the system creates a list of tasks in a series.

There are the following assignee types:
  • Everyone - all users that have access to the task are required to complete it.
    NOTE: assigneeIds property is not populated in such scenario.
  • ByDepartmentType - at least one user per department type is required, with hierarchical departments included if they exist. assignedDepartmentType property is populated and assigneeIds property is not populated in such cases.
  • SelectedUsers_AtLeastOne - at least one user listed in assigneeIds is required to complete the task.
  • SelectedUsers_RequireAll - all users listed in assigneeIds are required to complete the task.
For more information on permissions and recurrence rules visit their respective concept pages.
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The tasks's unique identifier required
Responses
application/json
JSON
{"data":{"id":"5971ca29-ecac-4ef4-a934-cb798be03025","name":"Internal name","recurrence":"FREQ=DAILY;DTSTART=20251010T130000;INTERVAL=1;COUNT=2","parentId":null,"locales":[{"culture":"en-GB","title":"Title 1","summary":"Summary 1"},{"culture":"da-DK","title":"Title 2","summary":"Summary 2"}],"categoryIds":["408a69b7-312b-4317-aed1-b0dfe1139c96","f801da8a-4f4d-411d-9a1c-67df848f0081"],"availableFrom":"2025-10-10T13:00:00","availableFromTimeZone":"FLE Standard Time","availableUntil":"2025-10-10T14:00:00","availableUntilTimeZone":"FLE Standard Time","subtaskIds":["16f78fa6-0a4e-4abb-9b9d-a9fa5c0a2245","6492cc3c-511f-4261-9ba6-269163d76ca7"],"serviceFormId":null,"medias":[{"id":"7b4f2f4e-d328-4442-8504-0fc73c3e5ff7","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"FileName.png"},{"id":"9b25f3cc-561f-4124-bf38-3a81b44ad3e2","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"FileName.png"}],"permissions":[{"departments":[{"url":null,"name":"Department 1","id":"03e822e3-754f-4469-8d30-28f9ce64520d"},{"url":null,"name":"Department 2","id":"7a387817-62ea-4030-a679-9527a3936f0a"}],"userGroups":[{"url":null,"name":"User group 1","id":"8c8364c5-8332-4792-a5d4-07ef76422238"},{"url":null,"name":"User group 2","id":"b0f9d584-dee9-45e5-936b-11bd41372c86"}],"requireAllUserGroups":false}],"status":"Published","assigneeType":"SelectedUsers_AtLeastOne","assigneeIds":["d5db1e60-f9d7-4020-ad22-b5915e2265f3","28f8ff63-d861-48e4-a103-8ef5d1b08ca3"],"assignedDepartmentType":null,"notifyManagerOfDepartmentType":"Country","reminderDueSoonIntervalInDays":1,"reminderIntervalInDays":null,"lockByAvailableFrom":false,"lockByAvailableUntil":true,"hideAuthor":false,"disableComments":false,"isUnsynchronizedWithParent":null,"creationDateTime":"2025-10-09T13:00:00+00:00","lastModifiedDateTime":null}}
object
  ⯈ data object      
   assignedDepartmentType string      
   assigneeIds array[string / guid]      
   assigneeType string      
   availableFrom string      
   availableFromTimeZone string      
   availableUntil string      
   availableUntilTimeZone string      
   categoryIds array[string / guid]      
   creationDateTime datetimeoffset      
   disableComments boolean      
   hideAuthor boolean      
   id string / guid      
   isUnsynchronizedWithParent boolean      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    summary string      
    title string      
   lockByAvailableFrom boolean      
   lockByAvailableUntil boolean      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   name string      
   notifyManagerOfDepartmentType string      
   parentId string / guid      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   recurrence string      
   reminderDueSoonIntervalInDays integer      
   reminderIntervalInDays integer      
   serviceFormId string / guid      
   status string      
   subtaskIds array[string / guid]